#This script extract the names from the sequence.fasta, cut off the part before
#assesion number (assume to be at possition 4, if not, change that!) 
rm(list = ls())
library(Biostrings)

allSEQ = readFASTA('sequence.fasta', strip.descs = FALSE)
nSEQ = length(allSEQ)
allName = NULL
for (kSEQ in 1:nSEQ)
{
	SEQ = allSEQ[[kSEQ]] #Take the sequence kth.
	NAME = SEQ[['desc']] #Take the name of the sequence.
	#Edit the name:
	TMP = strsplit(NAME, split = '|', fixed = TRUE)[[1]]
	n = length(TMP)
	if (!(length(TMP) == 5))
	{
		stop('Check kSEQ! Name is not homogeneous!')
	}
	A = TMP[4]
	B = TMP[5]
	NAME = paste(A,B,sep = '|')
	allName = c(allName,NAME)
}
allName = data.frame(allName)
write.table(allName, 'allName.txt', col.names = FALSE, row.names = FALSE) 



