#This script read the sequence names from the file allName.txt and reassign it to the original sequence.
#The assession numbers are assummed to be kept, with only one vertical line (|) separate it from the last part.
rm()
allSEQ = readFASTA('sequence.fasta', strip.descs = FALSE)
nSEQ = length(allSEQ)
allNewName = read.table('allName.txt', header = FALSE, row.names = NULL, colClass = 'character')[,1]
if (!(length(allNewName) == nSEQ))
{
	stop("Well, you must deleted some names, check that, and run from the first step...")
}

allOldID = NULL
for (kSEQ in 1:nSEQ)
{
	oldName = allSEQ[[kSEQ]][['desc']]
	oldID = strsplit(oldName, split = '|', fixed = TRUE)[[1]][4]
	allOldID = c(allOldID,oldID)
}

allNewSEQ = allSEQ
for (kSEQ in 1:nSEQ)
{
	newName = allNewName[kSEQ]
	newID = strsplit(newName, split = '|', fixed = TRUE)[[1]][1]
	newPlace = which(allOldID == newID)
	if (is.null(newPlace))
	{
		stop("Well, you must have changed some ID, or move the \"|\" away, check that...")
	}
	allNewSEQ[[kSEQ]] = allSEQ[[newPlace]]
	allNewSEQ[[kSEQ]][['desc']] = newName
}

writeFASTA(allNewSEQ,'new.sequence.fasta')